package main

import "surdeus.su/core/cli/mtool"
import "surdeus.su/util/gore/enc"
import "encoding/hex"
import "encoding/base64"
import "os"
import "io"

var root = mtool.T("gore").Subs(
	mtool.T("encode-to").Subs(
		enc.NewEncodeTool(
			"hex",
			hex.NewEncoder,
		),
		enc.NewEncodeTool(
			"base64",
			func(w io.Writer) io.Writer {
				return base64.NewEncoder(
					base64.StdEncoding,
					w,
				)
			},
		),
	),
)

func main() {
	root.Run(os.Args[1:])
}

